Qt Reference Documentation

# anim_panel.css Example File

webkit/webkit-guide/css/anim_panel.css

     /****************************************************************************
     **
     ** Copyright (C) 2015 The Qt Company Ltd.
     ** Contact: http://www.qt.io/licensing/
     **
     ** This file is part of the Qt WebKit module of the Qt Toolkit.
     **
     ** $QT_BEGIN_LICENSE:BSD$
     ** You may use this file under the terms of the BSD license as follows:
     **
     ** "Redistribution and use in source and binary forms, with or without
     ** modification, are permitted provided that the following conditions are
     ** met:
     **   * Redistributions of source code must retain the above copyright
     **     notice, this list of conditions and the following disclaimer.
     **   * Redistributions in binary form must reproduce the above copyright
     **     notice, this list of conditions and the following disclaimer in
     **     the documentation and/or other materials provided with the
     **     distribution.
     **   * Neither the name of The Qt Company Ltd nor the names of its
     **     contributors may be used to endorse or promote products derived
     **     from this software without specific prior written permission.
     **
     **
     ** THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
     ** "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
     ** LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
     ** A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
     ** OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
     ** SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
     ** LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
     ** DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
     ** THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
     ** (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
     ** OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE."
     **
     ** $QT_END_LICENSE$
     **
     ****************************************************************************/

     body {
         background          : #aaaaaa;
         font-family         : sans-serif;
     }

     section {
         background          : #aaaaaa;
         position            : absolute;
         left                : 1em;
         right               : 1em;
         top                 : 1em;
         bottom              : 1em;
     }

     .force {
         padding-right       : 5in;
     }

     #panel {
         text-align          : justify;
         padding             : 0.5em;
         border-radius       : 0.5em;
         background          : #ffffff;
         max-height          : 2.0em;
         float               : right;
         overflow            : hidden;
     }

     nav.expanded {
         max-width           : 95%;
         -webkit-transition  : max-width 0.5s ease-in-out;
     }

     nav.collapsed {
         max-width           : 12%;
         -webkit-transition  : max-width 0.5s ease-in-out;

     }

     nav.expanded > .button {
         display             : none;
     }

     nav.collapsed > .button {
         display        : inline-block;
     }

     nav.expanded > .option {
         opacity             : 1;
         -webkit-transform   : scale(1);
         -webkit-transition  : all 0.5s linear;
     }
     nav.collapsed > .option {
         opacity             : 0;
         -webkit-transform   : scale(0);
         -webkit-transition  : all 0.5s linear;
     }

     #dbg {
         padding             : 1em;
         border-radius       : 1em;
         position            : absolute;
         top                 : 75%;
         bottom              : 1em;
         left                : 1em;
         right               : 1em;
         background          : #ffffff;
     }

     .measure {
         position            : absolute;
         top                 : 0;
         left                : 0;
         width               : 320px;
         background          : green;
     }